snmp_set_oid_output_format
snmp_set_valueretrieval
SNMP Functions
PHP Manual

# snmp_set_quick_print

(PHP 4, PHP 5)

snmp_set_quick_print — Set the value of `quick_print` within the UCD SNMP library

### Description

bool snmp_set_quick_print ( bool `$quick_print` )

Sets the value of `quick_print` within the UCD SNMP library. When this is set (1), the SNMP library will return 'quick printed' values. This means that just the value will be printed. When `quick_print` is not enabled (default) the UCD SNMP library prints extra information including the type of the value (i.e. IpAddress or OID). Additionally, if quick_print is not enabled, the library prints additional hex values for all strings of three characters or less.

By default the UCD SNMP library returns verbose values, quick_print is used to return only the value.

Currently strings are still returned with extra quotes, this will be corrected in a later release.

### Parameters

`quick_print`

### Return Values

No value is returned.

### Examples

Setting quick_print is often used when using the information returned rather than displaying it.

Example #1 Using snmp_set_quick_print()

`<?php
snmp_set_quick_print(0);
$a = snmpget("127.0.0.1", "public", ".1.3.6.1.2.1.2.2.1.9.1");
echo "$a\n";
snmp_set_quick_print(1);
$a = snmpget("127.0.0.1", "public", ".1.3.6.1.2.1.2.2.1.9.1");
echo "$a\n";
?>`

The above example will output something similar to:

    'Timeticks: (0) 0:00:00.00'
    '0:00:00.00'

### See Also

- snmp_get_quick_print() - Fetches the current value of the UCD library's quick_print setting

snmp_set_oid_output_format
snmp_set_valueretrieval
SNMP Functions
PHP Manual